MozillaZine

How to spoof browser ID to access sites?

User Help for Seamonkey and Mozilla Suite
Dave01
Guest
 

Post Posted July 11th, 2011, 5:31 pm

I like SeaMonkey a lot. I've used it since it was a baby, and before that since 1998 when it was Netscape. Now, I'm getting websites I've been going to for years telling me my browser is incompatible with their websites. How is it possible to spoof the ID of this browser to make the detection script think it's something else like IE or Firefox? I can't access my e-mail at Comcast, and starting today, I can't upgrade to the new Yahoo Mail. Is there something I can tweak myself (if so, please provide complete instructions) or is it something that has to be built into the program by developers? This is starting to suck my will to live.

amrad
 
Posts: 2047
Joined: May 29th, 2004, 9:01 pm
Location: UK

Post Posted July 11th, 2011, 5:51 pm

Hello Dave,

Dave01 wrote:I'm getting websites I've been going to for years telling me my browser is incompatible with their websites. How is it possible to spoof the ID of this browser to make the detection script think it's something else like IE or Firefox?

Yes, there is something you can do about it yourself, though if you update to SM 2.2 (the latest release), you wouldn't have to!

To 'spoof' your User Agent string, in the URL bar, type about:config and press enter or click on 'Go'. In the page that opens, right-click anywhere in the page and select: New > String, press enter. In the box that appears enter the preference name: general.useragent.extra.seamonkey2 and press enter. In the next box that appears type: Like Firefox/3.6 and press enter.

To check that it has been successful, go to: Help | About SeaMonkey. At the botom of the window that appears, you should see something very similar to this:

Build identifier: Mozilla/5.0 (Windows NT 5.1; rv:5.0) Gecko/20110706 SeaMonkey/2.0.14 Like Firefox/3.6

If you update to SeaMonkey 2.2, that is already built in, so you don't need to add it.

I hope that helps.

Regards,

Dave.

Guest
Guest
 

Post Posted July 11th, 2011, 5:57 pm

Thank you very much! I just got the notice that 2.2 was available yesterday, but I was in the middle of a multiple-tab thing with other people and places and couldn't get it right away. But I will, and I appreciate that you took the time to help me out.

Guest
Guest
 

Post Posted July 11th, 2011, 5:59 pm

The IE Tab + extension works with Seamonkey (2.1). I don't know if it work with SM 2.2 because since I despise the two column Data Manager Seamonkey went with in (2.1) with a pink purple passion, I won't upgrade to (2.2) since the two column Data Manager hasn't been made easier to work with.

https://addons.mozilla.org/en-US/seamon ... ed-versio/

I use the above extension to access a banking site that only works with Internet Explorer.

amrad
 
Posts: 2047
Joined: May 29th, 2004, 9:01 pm
Location: UK

Post Posted July 11th, 2011, 6:01 pm

Guest wrote:Thank you very much! I just got the notice that 2.2 was available yesterday, but I was in the middle of a multiple-tab thing with other people and places and couldn't get it right away. But I will, and I appreciate that you took the time to help me out.

OK. Glad to be of help!

Regards,

Dave.

Return to SeaMonkey Support


Who is online

Users browsing this forum: No registered users and 2 guests